Index: npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-dagent
===================================================================
--- npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-dagent	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-dagent	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,32 @@
+#include <tunables/global>
+
+/usr/sbin/kopano-dagent {
+  #include <abstractions/base>
+  #include <abstractions/nameservice>
+  #include <abstractions/user-tmp>
+  #include <abstractions/python>
+
+  capability chown,
+  capability dac_override,
+  capability dac_read_search,
+  capability setgid,
+  capability setuid,
+
+  @{PROC}/@{pid}/task/@{tid}/comm rw,
+  @{PROC}/@{pid}/cmdline r,
+
+  /etc/gai.conf r,
+  /etc/gss/mech.d/ r,
+  /etc/gss/mech.d/*.conf r,
+  /etc/kopano/dagent.cfg r,
+
+  /usr/share/kopano-dagent/python/*.py{,c} r,
+
+  /var/lib/kopano/dagent/plugins/ r,
+
+  /etc/mapi/ r,
+  /etc/mapi/* r,
+
+  /run/kopano/dagent.pid rw,
+  /var/log/kopano/dagent.log rw,
+}
Index: npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-search
===================================================================
--- npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-search	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-search	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,49 @@
+#include <tunables/global>
+
+/usr/sbin/kopano-search {
+  #include <abstractions/base>
+  #include <abstractions/nameservice>
+  #include <abstractions/python>
+  #include <abstractions/user-tmp>
+
+  capability chown,
+  capability dac_override,
+  capability dac_read_search,
+  capability setgid,
+  capability setuid,
+
+  @{PROC}/@{pid}/cmdline r,
+  @{PROC}/@{pid}/mounts r,
+  @{PROC}/@{pid}/status r,
+  @{PROC}/@{pid}/task/@{tid}/comm rw,
+
+  deny /usr/lib/python2.7/dist-packages/kopano_search/*.pyc w,
+
+  # FIXME: it would be nice if search would use search- like pa
+  /dev/shm/* rwl,
+
+  /etc/gss/mech.d/ r,
+  /etc/gss/mech.d/*.conf r,
+
+  /lib/x86_64-linux-gnu/ld-*.so mr,
+  /usr/bin/python2.7 ix,
+  /usr/sbin/kopano-search r,
+
+  /etc/kopano/search.cfg r,
+
+  /bin/dash Pix,
+  /bin/rm Pix,
+  /sbin/ldconfig Pix,
+
+  /etc/mapi/ r,
+  /etc/mapi/kopano.inf r,
+  /etc/mapi/zcontacts.inf r,
+
+  /run/kopano/search.pid rw,
+  /run/kopano/search.pid.lock lrw,
+  /run/kopano/search.sock rw,
+  /run/kopano/*.*-* rw,
+
+  /var/lib/kopano/search/** rwlk,
+  /var/log/kopano/search.log rw,
+}
Index: npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-server
===================================================================
--- npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-server	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/example-config/apparmor.d/usr.sbin.kopano-server	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,40 @@
+#include <tunables/global>
+
+/usr/sbin/kopano-server {
+  #include <abstractions/base>
+  #include <abstractions/nameservice>
+  #include <abstractions/user-tmp>
+  #include <abstractions/mysql>
+
+  capability chown,
+  capability dac_override,
+  capability dac_read_search,
+  capability setgid,
+  capability setuid,
+
+  network tcp,
+
+  /etc/kopano/debian-db.cfg r,
+  /etc/kopano/server.cfg r,
+
+  @{PROC}/@{pid}/task/@{tid}/comm rw,
+
+  /run/kopano/prio.sock rw,
+  /run/kopano/server.pid rw,
+  /run/kopano/server.sock rw,
+
+  /usr/lib/x86_64-linux-gnu/kopano/*.so m,
+
+  /var/lib/kopano/attachments/ r,
+  /var/lib/kopano/attachments/** rw,
+  /var/log/kopano/server.log rw,
+
+  /etc/kopano/userscripts/* Cxr -> kopano_userscripts,
+
+  # There's little we can do if the server is allowed to run
+  # arbitrary scripts
+  profile kopano_userscripts {
+    file,
+    network,
+  }
+}
Index: npl/mailserver/kopano_conf/example-config/ldap.cfg
===================================================================
--- npl/mailserver/kopano_conf/example-config/ldap.cfg	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/example-config/ldap.cfg	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,63 @@
+##############################################################
+#  LDAP DIRECTORY USER PLUGIN SETTINGS
+#
+
+# Select implementation.
+# If you have any reason to override settings from /usr/share/kopano/*.cfg,
+# do so at the end of this (/etc-resident) config file.
+#
+!include /usr/share/kopano/ldap.openldap.cfg
+#!include /usr/share/kopano/ldap.active-directory.cfg
+
+# LDAP host name/IP address
+ldap_host = localhost
+
+# LDAP port
+# Optional, default = 389
+# Use 636 for ldaps
+#ldap_port = 389
+
+# LDAP protocol
+# Optional, default = ldap
+# use 'ldaps' for Implicit SSL encryption. Make sure /etc/ldap/ldap.conf is
+# configured correctly with TLS_CACERT
+#ldap_protocol = ldap
+
+# LDAP URI
+# Optional, override ldap_host, ldap_port and ldap_protocol if set
+# e.g. ldaps://servername:port. You may also specify multiple space-separated
+# URIs
+#ldap_uri =
+
+# The charset that strings are stored in on the LDAP server. Normally this
+# is utf-8, but this can differ according to your setup. The charset specified
+# here must be supported by your iconv(1) setup. See iconv -l for all charset
+#ldap_server_charset = utf-8
+
+# The DN of the user to bind as for normal operations (not used for
+# authentication if ldap_authentication_method is set to "bind".
+# When empty, uses anonymous binding.
+# The userPassword attribute must be readable for this user if the
+# ldap_authentication_method option is set to password.
+ldap_bind_user =
+
+# LDAP bind password
+ldap_bind_passwd =
+
+# The timeout for network operations in seconds
+#ldap_network_timeout = 30
+
+# ldap_page_size limits the number of results from a query that will be downloaded at a time.
+# Default ADS MaxPageSize is 1000.
+#ldap_page_size = 1000
+
+##########
+# Object settings
+
+# Top level search base, every object should be available under this tree
+ldap_search_base =
+
+# Use custom defined LDAP property mappings
+# This is not a requirement for most environments but allows custom mappings of
+# special LDAP properties to custom MAPI attributes
+#!propmap /etc/kopano/ldap.propmap.cfg
Index: npl/mailserver/kopano_conf/kopano_conf.build
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.build	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ npl/mailserver/kopano_conf/kopano_conf.build	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -1,1 +1,1 @@
-2
+17
Index: npl/mailserver/kopano_conf/kopano_conf.md5
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.md5	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ npl/mailserver/kopano_conf/kopano_conf.md5	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -1,34 +1,41 @@
-132f9db3eec66dee0adbeaec8d8ac36b  ./kopano_conf.pkg
+848697ab83b8329e851494b179077ac8  ./example-config/apparmor.d/usr.sbin.kopano-dagent
+c67f6727a9503a360a4c63fd61061469  ./example-config/apparmor.d/usr.sbin.kopano-search
+fd5fac3dcb59c74d9fc0994316749cf2  ./example-config/apparmor.d/usr.sbin.kopano-server
+ce5eb45e78a986fae32ebbdcbb1b844c  ./example-config/ldap.cfg
+7e293a686edc30a5f11f48dc087ff6a9  ./kopano_conf.pkg
 1f5f7d6f71d47c726d70daff8100c56f  ./kopano_conf.SlackBuild
-77b6bb3f3aa54e5b152f316db384fc7f  ./kopano_conf.SlackBuild.log.gz
-a45e29051403621fca1dc3c928eb8f22  ./root/etc/cron.weekly/kopano_clean
-d18244609c03ac09e36a1f505df1a5d2  ./root/etc/kopano/backup.cfg
-2298ebabcee9a0b3c2189fb13a68e851  ./root/etc/kopano/dagent.cfg
-c53763f4bc2691f6bd5c395da46d3ab4  ./root/etc/kopano/gateway.cfg
-b9ff619fb44a9a7e7b468dc00c1cc2e1  ./root/etc/kopano/gateway-conv.cfg
-9b22e7273f3082f14da4feb5d5303f74  ./root/etc/kopano/ical.cfg
-b87d06d28243fbed1e63101c7f577140  ./root/etc/kopano/ldap.cfg
+6f0468d3014de6b1d2ecb92ce87750db  ./kopano_conf.SlackBuild.log.gz
+77e930e82d6aa224be14072dcc719ab8  ./root/etc/cron.weekly/kopano_clean
+c649bfb26c88c35ed95fcfec3fe6df9a  ./root/etc/kopano/archiver.cfg
+3028ddd4641d1394feb086ab58281783  ./root/etc/kopano/autorespond
+d5b3a58e38d2d3971c4d68e7de3a5004  ./root/etc/kopano/backup.cfg
+17e1514fc431e3f6dacd30d215b013ec  ./root/etc/kopano/dagent.cfg
+125db7f424586e70c806e00400e9f1f4  ./root/etc/kopano/gateway.cfg
+a22505c1c8bb4384eb8c17d2e2c8d419  ./root/etc/kopano/ical.cfg
+15f20282c5d52667887b5f81f9ed1d27  ./root/etc/kopano/kopano.inf
+ae3927a695b6a8a2f6f7c25711b5e32d  ./root/etc/kopano/ldap.cfg
 02db909aea9dc9f5e9bc9543bd0bbec3  ./root/etc/kopano/ldapms.active-directory.cfg
 4ae964bb2ec88cd640455a88af758f7f  ./root/etc/kopano/ldapms.openldap.cfg
-71c5705e00d5d502f4fd696e03d18ff8  ./root/etc/kopano/licensed.cfg
-1076be7dc82a68ff0bad779eebf39c6a  ./root/etc/kopano/monitor.cfg
-09ab6c5e5049e8de7355fdf863bc45cd  ./root/etc/kopano/search.cfg
-6df6a12bffa219cb545976edb466849a  ./root/etc/kopano/server.cfg
+3d6096b44cffbbceda758ff46d25c77f  ./root/etc/kopano/migration-pst.cfg
+596dfd0c6c1ddf0ab8079478881938bb  ./root/etc/kopano/monitor.cfg
+e3334758874bfefdde06b10628bb8483  ./root/etc/kopano/presence.cfg
+75b18bb05a4664c0ac691c04c1e30efd  ./root/etc/kopano/search.cfg
+aa650880ca710ae913c9d94c909520c5  ./root/etc/kopano/server.cfg
 d6add55726cc61ad5e4ec4a7d7e3f64d  ./root/etc/kopano/spamd.cfg
-888498d5c2dc7208341b2a1b7d6f7a0c  ./root/etc/kopano/spooler.cfg
+8d70ed9bb454b861ea6a18552c41c8b0  ./root/etc/kopano/spooler.cfg
 175d812699725aacf1c9d742dcc1447f  ./root/etc/kopano/unix.cfg
-c15aad9c7c5269ce3943ebdd45c6aca4  ./root/etc/kopano/userscripts/kopano-spamd-retrain
+17ad42acc933c223f16803b965775ae6  ./root/etc/kopano/userscripts/kopano-dspam-retrain
+95056928c5e351a922159f93a8f57d2f  ./root/etc/kopano/zcontacts.inf
 61c38fc2330baa42b357af5c1d7cffe5  ./root/etc/php5/mapi.ini
-185945c3205c9181aabdc00b67bc4140  ./root/etc/postinst.d/post.kopano_conf
+2b826222497b3d859d8b20d4ac90db93  ./root/etc/postinst.d/post.kopano_conf
+cb2078ba94e47f1cde5423615362e097  ./root/service/kopano-dspam/run
 42f02baf49e63eb91c0f7dc979c31dc5  ./root/service/kopano-gateway/run
 3c9de7e157b5299055ab9e9954b0688d  ./root/service/kopano-ical/run
-43abc7d89926e39ada078ee88052db74  ./root/service/kopano-licensed/run
 312080f0b7eff052d3e3b2b16fd6937c  ./root/service/kopano-monitor/run
 7604b5fe2b2db85eb15ffedce9b612d8  ./root/service/kopano-search/run
 04ff49b8991116902d3f8affd3d645e5  ./root/service/kopano-server/run
 79588c4a474140c680a9e8eaf95a9790  ./root/service/kopano-server/start
-3a570b7e029643da9a69b4a69f4cbcc8  ./root/service/kopano-spamd/run
 40549bb77378b2635b3adb2f2219517c  ./root/service/kopano-spooler/run
-e65e469379b52767a6075d5db054c652  ./root/var/www/htdocs/syn3/kopano_webapp/config.php
-78b2cc65fe10a67a4133c44a86b5e309  ./root/var/www/htdocs/syn3/kopano_webapp/webportal.desc
-a4cd55d9e54997e1ab8c7d8b1f89ee47  ./root/var/www/htdocs/syn3/kopano_webapp/webportal.png
+e65e469379b52767a6075d5db054c652  ./root/var/www/htdocs/syn3/kopano-webapp/config.php
+78b2cc65fe10a67a4133c44a86b5e309  ./root/var/www/htdocs/syn3/kopano-webapp/webportal.desc
+a4cd55d9e54997e1ab8c7d8b1f89ee47  ./root/var/www/htdocs/syn3/kopano-webapp/webportal.png
Index: npl/mailserver/kopano_conf/root/etc/cron.weekly/kopano_clean
===================================================================
--- npl/mailserver/kopano_conf/root/etc/cron.weekly/kopano_clean	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ npl/mailserver/kopano_conf/root/etc/cron.weekly/kopano_clean	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -17,5 +17,5 @@
 if ! [ -e /var/lib/kopano/kopano_upgrade_fix ]; then
 	syn3-state kopano OK "$TXT kopano 7 upgrade bugfix aan het uitvoeren (eenmalig)" 
-	mysql -p`cat /etc/my.passwd` kopano -e "
+	mysql -p`cat /etc/my.passwd` zarafa -e "
 		begin;
 		truncate table tproperties;
@@ -35,5 +35,5 @@
 
 syn3-state kopano OK "$TXT database optimalisatie"
-mysqlcheck --optimize -p`cat /etc/my.passwd` kopano || abort "database optimalisatie mislukt"
+mysqlcheck --optimize -p`cat /etc/my.passwd` zarafa || abort "database optimalisatie mislukt"
 
 syn3-state kopano OK "$TXT kopano search xapian compact"
Index: npl/mailserver/kopano_conf/root/etc/kopano/userscripts/kopano-dspam-retrain
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/userscripts/kopano-dspam-retrain	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/root/etc/kopano/userscripts/kopano-dspam-retrain	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+#SYN-3 dspam training script for kopano-dspam. see https://github.com/psy0rz/kopano-dspam
+
+SPAM_USER="$1"
+SPAM_ID="$2"
+CLASSIFICATION="$3"
+UNDO="$4"
+
+
+/usr/bin/dspamc --source=error --class="$CLASSIFICATION" --signature="$SPAM_ID" --user "$SPAM_USER"
Index: npl/mailserver/kopano_conf/root/etc/kopano/userscripts/kopano-spamd-retrain
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/userscripts/kopano-spamd-retrain	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ 	(revision )
@@ -1,11 +1,0 @@
-#!/bin/bash
-
-#SYN-3 dspam training script for kopano-spamd. see https://github.com/psy0rz/kopano-spamd
-
-SPAM_USER="$1"
-SPAM_ID="$2"
-CLASSIFICATION="$3"
-UNDO="$4"
-
-
-/usr/bin/dspamc --source=error --class="$CLASSIFICATION" --signature="$SPAM_ID" --user "$SPAM_USER"
Index: npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -54,4 +54,5 @@
 groupadd kopano
 useradd kopano-gateway
+svcrestart /service/nscd
 
 #create and own stuff
@@ -65,4 +66,7 @@
 chown kopano:kopano /var/lib/kopano
 
+mkdir /home/system/kopano_webapp
+chown nobody /home/system/kopano_webapp
+
 #logging
 mkdir /var/log/kopano
@@ -72,9 +76,10 @@
 #migrate from zarafa?
 if [ -e /home/system/zarafa ]; then
-	chown kopano:kopano /home/system/zarafa
+	mv /home/system/kopano /home/system/kopano.old
 	mv /home/system/zarafa /home/system/kopano
+	chown -R kopano:kopano /home/system/kopano
 else
 	mkdir /home/system/kopano
-	chown kopano /home/system/kopano || exit 1
+	chown kopano:kopano /home/system/kopano || exit 1
 fi
 
Index: npl/mailserver/kopano_conf/root/service/kopano-dspam/run
===================================================================
--- npl/mailserver/kopano_conf/root/service/kopano-dspam/run	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/root/service/kopano-dspam/run	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,2 @@
+#!/bin/bash
+exec pgrphack kopano-dspam -F
Index: npl/mailserver/kopano_conf/root/service/kopano-spamd/run
===================================================================
--- npl/mailserver/kopano_conf/root/service/kopano-spamd/run	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ 	(revision )
@@ -1,2 +1,0 @@
-#!/bin/bash
-exec pgrphack kopano-spamd -F
Index: npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/config.php
===================================================================
--- npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/config.php	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/config.php	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,221 @@
+<?php
+/*
+	config.php
+
+	The config file for the webapp.
+	All possible web client settings can be set in this file. Some settings
+	(language) can also be set per user or logon.
+
+*/
+	// Comment next line to disable the config check (or set FALSE to log the config errors)
+	define("CONFIG_CHECK", TRUE);
+
+	// Use these options to optionally disable some PHP configuration checks.
+	// WARNING: these checks will disable checks regarding the security of the WebApp site configuration,
+	// only change them if you know the consequences - improper use will lead to an insecure installation!
+	define("CONFIG_CHECK_COOKIES_HTTP", FALSE);
+	define("CONFIG_CHECK_COOKIES_SSL", FALSE);
+
+	// The default Kopano server socket location changed in ZCP 7.2.2 to /var/run/kopanod/server.sock.
+	// The "default:" option tries both the old and new socket locations.
+	// It is advisable to change the lines below to one define with your ZCP socket location e.g.
+	// define("DEFAULT_SERVER", "file:///var/run/kopanod/server.sock");
+	if(version_compare(phpversion('mapi'), '7.2.2', '>=')) {
+		define("DEFAULT_SERVER", "default:");
+	} else {
+		#define("DEFAULT_SERVER","http://localhost:236/kopano");
+		define("DEFAULT_SERVER","file:///var/run/kopano");
+	}
+
+	// When using a single-signon system on your webserver, but Kopano is on another server
+	// you can use https to access the kopano server, and authenticate using an SSL certificate.
+	define("SSLCERT_FILE", NULL);
+	define("SSLCERT_PASS", NULL);
+
+	// set to 'true' to strip domain from login name found from Single Signon webservers
+	define("LOGINNAME_STRIP_DOMAIN", false);
+
+	// Name of the cookie that is used for the session
+	define("COOKIE_NAME", "KOPANO_WEBAPP");
+
+	// The timeout (in seconds) for the session. User will be logged out of WebApp
+	// when he has not actively used the WebApp for this time.
+	// Set to 0 (or remove) for no timeout during browser session.
+	define('CLIENT_TIMEOUT', 0);
+	
+	// Defines the domains from which cross domain authentication requests
+	// are allowed. E.g. if WebMeetings runs under a different domain than
+	// the WebApp then add this domain here. Add http(s):// to the domains
+	// and separate domains with spaces.
+	// Set to empty string (default) to only allow authentication requests
+	// from within the same domain.
+	// Set to "*" to allow authentication requests from any domain. (not
+	// recommended)
+	define('CROSS_DOMAIN_AUTHENTICATION_ALLOWED_DOMAINS', "");
+
+	// Defines the base url and end with a slash.
+	$base_url = dirname($_SERVER["PHP_SELF"]);
+	if(substr($base_url,-1)!="/") $base_url .="/";
+	define("BASE_URL", $base_url);
+
+	// Defines the temp path (absolute). Here uploaded attachments will be saved.
+	// The web client doesn't work without this directory.
+	define("TMP_PATH", "/home/system/kopano_webapp");
+
+	// Define the path to the plugin directory (No slash at the end)
+	define("PATH_PLUGIN_DIR", "plugins");
+
+	// Enable the plugins
+	define("ENABLE_PLUGINS", true);
+
+	// Define list of disabled plugins separated by semicolon
+	define("DISABLED_PLUGINS_LIST", '');
+	
+	// General WebApp theme. This will be loaded by default for every user
+	// (if the theme is installed as a plugin)
+	// Users can override the 'logged-in' theme in the settings.
+	define("THEME", '');
+	
+	// The title that will be shown in the title bar of the browser
+	define("WEBAPP_TITLE", 'Kopano WebApp (powered by SYN-3)');
+
+	// Set addressbook for GAB not to show any users unless searching for a specific user
+	define("DISABLE_FULL_GAB", false);
+
+	// Set true to hide public contact folders in address-book folder list,
+	// false will show public contact folders in address-book folder list.
+	define("DISABLE_PUBLIC_CONTACT_FOLDERS", true);
+
+	// Set the threshold for the addressnook to only show a full contactlist when the number of rows
+	// do not exeed this threshold. Otherwise the user can only use the search. Enter any number above
+	// zero to set the threshold or -1 to always show the list or 0 to always hide the full list.
+	define("DISABLE_FULL_CONTACTLIST_THRESHOLD", -1);
+
+	// Set true to show public folders in hierarchy, false will disable public folders in hierarchy.
+	define('ENABLE_PUBLIC_FOLDERS', true);
+
+	// Booking method (true = direct booking, false = send meeting request)
+	define('ENABLE_DIRECT_BOOKING', true);
+
+	// Enable GZIP compression for responses
+	define('ENABLE_RESPONSE_COMPRESSION', true);
+
+	// When set to true this disables the welcome screen to be shown for first time users.
+	define('DISABLE_WELCOME_SCREEN', false);
+
+	// When set to false it will disable showing of advanced settings.
+	define('ENABLE_ADVANCED_SETTINGS', true);
+
+	// Freebusy start offset that will be used to load freebusy data in appointments, number is subtracted from current time
+	define('FREEBUSY_LOAD_START_OFFSET', 7);
+
+	// Freebusy end offset that will be used to load freebusy data in appointments, number is added to current time
+	define('FREEBUSY_LOAD_END_OFFSET', 90);
+
+	// Maximum eml files to be included in a single ZIP archive
+	define('MAX_EML_FILES_IN_ZIP', 50);
+
+	// Additional color schemes for the calendars can be added by uncommenting and editing the following define.
+	// The format is the same as the format of COLOR_SCHEMES which is defined in default.php
+	// To change the default colors, COLOR_SCHEMES can also be defined here.
+	// Note: Every color should have a unique name, because it is used to identify the color
+	// define('ADDITIONAL_COLOR_SCHEMES', json_encode(array(
+	// 		array(
+	//			'name' => 'pink',
+	//			'displayName' => _('Pink'),
+	//			'base' => '#ff0099'
+	//		)
+	// )));
+
+	// Additional Prefix for the Contact name can be added by uncommenting and editing the following define.
+	// define('CONTACT_PREFIX', json_encode(array(
+	//  	array(_('Er.')),
+	//  	array(_('Gr.'))
+	// )));
+
+	// Additional Suffix for the Contact name can be added by uncommenting and editing the following define.
+	// define('CONTACT_SUFFIX', json_encode(array(
+	//  	array(_('A')),
+	//  	array(_('B'))
+	// )));
+
+
+	/**************************************\
+	* Memory usage and timeouts            *
+	\**************************************/
+
+	// This sets the maximum time in seconds that is allowed to run before it is terminated by the parser.
+	ini_set('max_execution_time', 300); // 5 minutes
+
+	// BLOCK_SIZE (in bytes) is used for attachments by mapi_stream_read/mapi_stream_write
+	define('BLOCK_SIZE', 1048576);
+
+	// Time that static files may exist in the client's cache (13 weeks)
+	define('EXPIRES_TIME', 60*60*24*7*13);
+
+	// Time that the state files are allowed to survive (in seconds)
+	// For filesystems on which relatime is used, this value should be larger then the relatime_interval
+	// for kernels 2.6.30 and above relatime is enabled by default, and the relatime_interval is set to
+	// 24 hours.
+	define('STATE_FILE_MAX_LIFETIME', 28*60*60);
+
+	// Time that attachments are allowed to survive (in seconds)
+	define('UPLOADED_ATTACHMENT_MAX_LIFETIME', 6*60*60);
+
+	/**************************************\
+	* Languages                            *
+	\**************************************/
+
+	// Location to the translations
+	define("LANGUAGE_DIR", "server/language/");
+
+	// Defines the default interface language. This can be overriden by the user.
+	// This language is also used on the login page
+	if (isset($_ENV['LANG']) && $_ENV['LANG']!="C"){
+		define('LANG', $_ENV["LANG"]); // This means the server environment language determines the web client language.
+	}else{
+		define('LANG', 'en_GB'); // default fallback language
+	}
+
+	// List of languages that should be enabled in the logon
+	// screen's language drop down.  Languages should be specified
+	// using <languagecode>_<regioncode>[.UTF-8], and separated with
+	// semicolon.  A list of available languages can be found in
+	// the manual or by looking at the list of directories in
+	// /usr/share/kopano-webapp/server/language .
+	define("ENABLED_LANGUAGES", "de_DE;en_EN;en_US;fr_FR;he_IL;it_IT;nl_NL;ru_RU;zh_CN;nb_NO");
+
+	// Defines the default time zone, change e.g. to "Europe/London" when needed
+	if(function_exists("date_default_timezone_set")) {
+		if(!ini_get('date.timezone')) {
+			date_default_timezone_set('Europe/London');
+		}
+	}
+
+	/**************************************\
+	* Powerpaste                           *
+	\**************************************/
+
+	// Options for TinyMCE's powerpaste plugin, see https://www.tinymce.com/docs/enterprise/paste-from-word/#configurationoptions
+	// for more details.
+	define('POWERPASTE_WORD_IMPORT', 'merge');
+	define('POWERPASTE_HTML_IMPORT', 'merge');
+	define('POWERPASTE_ALLOW_LOCAL_IMAGES', true);
+
+	/**************************************\
+	* Debugging                            *
+	\**************************************/
+
+	ini_set("display_errors", false);
+	error_reporting(0);
+
+	if (file_exists('debug.php')){
+		include_once('debug.php');
+	}else{
+		// define empty dump function in case we still use it somewhere
+		function dump(){}
+	}
+
+
+
+?>
Index: npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/webportal.desc
===================================================================
--- npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/webportal.desc	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
+++ npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano-webapp/webportal.desc	(revision 05ee5621b3687f3bf59143eb43884ef3e38d3e38)
@@ -0,0 +1,1 @@
+Kopano webapp
Index: npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano_webapp/config.php
===================================================================
--- npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano_webapp/config.php	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ 	(revision )
@@ -1,221 +1,0 @@
-<?php
-/*
-	config.php
-
-	The config file for the webapp.
-	All possible web client settings can be set in this file. Some settings
-	(language) can also be set per user or logon.
-
-*/
-	// Comment next line to disable the config check (or set FALSE to log the config errors)
-	define("CONFIG_CHECK", TRUE);
-
-	// Use these options to optionally disable some PHP configuration checks.
-	// WARNING: these checks will disable checks regarding the security of the WebApp site configuration,
-	// only change them if you know the consequences - improper use will lead to an insecure installation!
-	define("CONFIG_CHECK_COOKIES_HTTP", FALSE);
-	define("CONFIG_CHECK_COOKIES_SSL", FALSE);
-
-	// The default Kopano server socket location changed in ZCP 7.2.2 to /var/run/kopanod/server.sock.
-	// The "default:" option tries both the old and new socket locations.
-	// It is advisable to change the lines below to one define with your ZCP socket location e.g.
-	// define("DEFAULT_SERVER", "file:///var/run/kopanod/server.sock");
-	if(version_compare(phpversion('mapi'), '7.2.2', '>=')) {
-		define("DEFAULT_SERVER", "default:");
-	} else {
-		#define("DEFAULT_SERVER","http://localhost:236/kopano");
-		define("DEFAULT_SERVER","file:///var/run/kopano");
-	}
-
-	// When using a single-signon system on your webserver, but Kopano is on another server
-	// you can use https to access the kopano server, and authenticate using an SSL certificate.
-	define("SSLCERT_FILE", NULL);
-	define("SSLCERT_PASS", NULL);
-
-	// set to 'true' to strip domain from login name found from Single Signon webservers
-	define("LOGINNAME_STRIP_DOMAIN", false);
-
-	// Name of the cookie that is used for the session
-	define("COOKIE_NAME", "KOPANO_WEBAPP");
-
-	// The timeout (in seconds) for the session. User will be logged out of WebApp
-	// when he has not actively used the WebApp for this time.
-	// Set to 0 (or remove) for no timeout during browser session.
-	define('CLIENT_TIMEOUT', 0);
-	
-	// Defines the domains from which cross domain authentication requests
-	// are allowed. E.g. if WebMeetings runs under a different domain than
-	// the WebApp then add this domain here. Add http(s):// to the domains
-	// and separate domains with spaces.
-	// Set to empty string (default) to only allow authentication requests
-	// from within the same domain.
-	// Set to "*" to allow authentication requests from any domain. (not
-	// recommended)
-	define('CROSS_DOMAIN_AUTHENTICATION_ALLOWED_DOMAINS', "");
-
-	// Defines the base url and end with a slash.
-	$base_url = dirname($_SERVER["PHP_SELF"]);
-	if(substr($base_url,-1)!="/") $base_url .="/";
-	define("BASE_URL", $base_url);
-
-	// Defines the temp path (absolute). Here uploaded attachments will be saved.
-	// The web client doesn't work without this directory.
-	define("TMP_PATH", "/home/system/kopano_webapp");
-
-	// Define the path to the plugin directory (No slash at the end)
-	define("PATH_PLUGIN_DIR", "plugins");
-
-	// Enable the plugins
-	define("ENABLE_PLUGINS", true);
-
-	// Define list of disabled plugins separated by semicolon
-	define("DISABLED_PLUGINS_LIST", '');
-	
-	// General WebApp theme. This will be loaded by default for every user
-	// (if the theme is installed as a plugin)
-	// Users can override the 'logged-in' theme in the settings.
-	define("THEME", '');
-	
-	// The title that will be shown in the title bar of the browser
-	define("WEBAPP_TITLE", 'Kopano WebApp (powered by SYN-3)');
-
-	// Set addressbook for GAB not to show any users unless searching for a specific user
-	define("DISABLE_FULL_GAB", false);
-
-	// Set true to hide public contact folders in address-book folder list,
-	// false will show public contact folders in address-book folder list.
-	define("DISABLE_PUBLIC_CONTACT_FOLDERS", true);
-
-	// Set the threshold for the addressnook to only show a full contactlist when the number of rows
-	// do not exeed this threshold. Otherwise the user can only use the search. Enter any number above
-	// zero to set the threshold or -1 to always show the list or 0 to always hide the full list.
-	define("DISABLE_FULL_CONTACTLIST_THRESHOLD", -1);
-
-	// Set true to show public folders in hierarchy, false will disable public folders in hierarchy.
-	define('ENABLE_PUBLIC_FOLDERS', true);
-
-	// Booking method (true = direct booking, false = send meeting request)
-	define('ENABLE_DIRECT_BOOKING', true);
-
-	// Enable GZIP compression for responses
-	define('ENABLE_RESPONSE_COMPRESSION', true);
-
-	// When set to true this disables the welcome screen to be shown for first time users.
-	define('DISABLE_WELCOME_SCREEN', false);
-
-	// When set to false it will disable showing of advanced settings.
-	define('ENABLE_ADVANCED_SETTINGS', true);
-
-	// Freebusy start offset that will be used to load freebusy data in appointments, number is subtracted from current time
-	define('FREEBUSY_LOAD_START_OFFSET', 7);
-
-	// Freebusy end offset that will be used to load freebusy data in appointments, number is added to current time
-	define('FREEBUSY_LOAD_END_OFFSET', 90);
-
-	// Maximum eml files to be included in a single ZIP archive
-	define('MAX_EML_FILES_IN_ZIP', 50);
-
-	// Additional color schemes for the calendars can be added by uncommenting and editing the following define.
-	// The format is the same as the format of COLOR_SCHEMES which is defined in default.php
-	// To change the default colors, COLOR_SCHEMES can also be defined here.
-	// Note: Every color should have a unique name, because it is used to identify the color
-	// define('ADDITIONAL_COLOR_SCHEMES', json_encode(array(
-	// 		array(
-	//			'name' => 'pink',
-	//			'displayName' => _('Pink'),
-	//			'base' => '#ff0099'
-	//		)
-	// )));
-
-	// Additional Prefix for the Contact name can be added by uncommenting and editing the following define.
-	// define('CONTACT_PREFIX', json_encode(array(
-	//  	array(_('Er.')),
-	//  	array(_('Gr.'))
-	// )));
-
-	// Additional Suffix for the Contact name can be added by uncommenting and editing the following define.
-	// define('CONTACT_SUFFIX', json_encode(array(
-	//  	array(_('A')),
-	//  	array(_('B'))
-	// )));
-
-
-	/**************************************\
-	* Memory usage and timeouts            *
-	\**************************************/
-
-	// This sets the maximum time in seconds that is allowed to run before it is terminated by the parser.
-	ini_set('max_execution_time', 300); // 5 minutes
-
-	// BLOCK_SIZE (in bytes) is used for attachments by mapi_stream_read/mapi_stream_write
-	define('BLOCK_SIZE', 1048576);
-
-	// Time that static files may exist in the client's cache (13 weeks)
-	define('EXPIRES_TIME', 60*60*24*7*13);
-
-	// Time that the state files are allowed to survive (in seconds)
-	// For filesystems on which relatime is used, this value should be larger then the relatime_interval
-	// for kernels 2.6.30 and above relatime is enabled by default, and the relatime_interval is set to
-	// 24 hours.
-	define('STATE_FILE_MAX_LIFETIME', 28*60*60);
-
-	// Time that attachments are allowed to survive (in seconds)
-	define('UPLOADED_ATTACHMENT_MAX_LIFETIME', 6*60*60);
-
-	/**************************************\
-	* Languages                            *
-	\**************************************/
-
-	// Location to the translations
-	define("LANGUAGE_DIR", "server/language/");
-
-	// Defines the default interface language. This can be overriden by the user.
-	// This language is also used on the login page
-	if (isset($_ENV['LANG']) && $_ENV['LANG']!="C"){
-		define('LANG', $_ENV["LANG"]); // This means the server environment language determines the web client language.
-	}else{
-		define('LANG', 'en_GB'); // default fallback language
-	}
-
-	// List of languages that should be enabled in the logon
-	// screen's language drop down.  Languages should be specified
-	// using <languagecode>_<regioncode>[.UTF-8], and separated with
-	// semicolon.  A list of available languages can be found in
-	// the manual or by looking at the list of directories in
-	// /usr/share/kopano-webapp/server/language .
-	define("ENABLED_LANGUAGES", "de_DE;en_EN;en_US;fr_FR;he_IL;it_IT;nl_NL;ru_RU;zh_CN;nb_NO");
-
-	// Defines the default time zone, change e.g. to "Europe/London" when needed
-	if(function_exists("date_default_timezone_set")) {
-		if(!ini_get('date.timezone')) {
-			date_default_timezone_set('Europe/London');
-		}
-	}
-
-	/**************************************\
-	* Powerpaste                           *
-	\**************************************/
-
-	// Options for TinyMCE's powerpaste plugin, see https://www.tinymce.com/docs/enterprise/paste-from-word/#configurationoptions
-	// for more details.
-	define('POWERPASTE_WORD_IMPORT', 'merge');
-	define('POWERPASTE_HTML_IMPORT', 'merge');
-	define('POWERPASTE_ALLOW_LOCAL_IMAGES', true);
-
-	/**************************************\
-	* Debugging                            *
-	\**************************************/
-
-	ini_set("display_errors", false);
-	error_reporting(0);
-
-	if (file_exists('debug.php')){
-		include_once('debug.php');
-	}else{
-		// define empty dump function in case we still use it somewhere
-		function dump(){}
-	}
-
-
-
-?>
Index: npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano_webapp/webportal.desc
===================================================================
--- npl/mailserver/kopano_conf/root/var/www/htdocs/syn3/kopano_webapp/webportal.desc	(revision bd5cb293413fa6ff1ca56e0be8355363c49c7759)
+++ 	(revision )
@@ -1,1 +1,0 @@
-Kopano webapp
